> For the complete documentation index, see [llms.txt](https://docs.euno.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.euno.ai/sources/data-security/microsoft-purview-integration/microsoft-purview-integration-discovered-resources.md).

# Microsoft Purview Integration Discovered Resources

## Overview

The Microsoft Purview integration discovers Purview Data Loss Prevention (DLP) policies from Microsoft Graph `policyFiles`. Euno creates a `purview_dlp_policy` resource for each observed DLP policy.

Sensitivity labels are used as metadata for DLP policy mapping. They are not created as separate Euno resources by the Microsoft Purview integration.

When the Power BI integration has already discovered matching Power BI resources, Euno can connect those resources to the Purview DLP policies that regulate them.

When the Microsoft Purview source is configured with a Purview account name, Euno also reads matching Power BI assets from Microsoft Purview Data Map. Euno uses those Data Map assets to enrich existing Power BI resources with Purview metadata.

## Purview DLP Policy (`purview_dlp_policy`)

`purview_dlp_policy` resources represent Microsoft Purview DLP policies parsed from Microsoft Graph policy files.

| Property      | Value                                                               |
| ------------- | ------------------------------------------------------------------- |
| `name`        | DLP policy name from Microsoft Purview.                             |
| `type`        | Always `purview_dlp_policy`.                                        |
| `label`       | Display label for the policy, usually the policy name.              |
| `native_id`   | Native Purview policy ID.                                           |
| `description` | Policy description when available from Microsoft Purview.           |
| `updated_at`  | Latest policy update timestamp when available from the policy file. |

## Purview Data Map Asset (`purview_datamap_asset`)

`purview_datamap_asset` resources are source facts that represent Power BI assets read from Microsoft Purview Data Map. Euno uses these source facts to enrich matching Power BI resources. These resources are not a replacement for the Power BI integration, and they do not create Power BI reports, semantic models, dashboards, apps, dataflows, or columns.

| Property      | Value                                                                                                      |
| ------------- | ---------------------------------------------------------------------------------------------------------- |
| `name`        | Asset name or display name from Purview Data Map.                                                          |
| `type`        | Always `purview_datamap_asset`.                                                                            |
| `label`       | Display label for the Data Map asset.                                                                      |
| `native_id`   | Purview Data Map asset GUID.                                                                               |
| `description` | Asset description from Purview Data Map, when available.                                                   |
| `subtype`     | Purview Data Map entity type, such as a Power BI report, dashboard, semantic model, or column entity type. |

## Power BI Metadata Enrichment

When a matching Power BI resource already exists in Euno, the Microsoft Purview source can enrich it with these fields:

| Property                    | Description                                                                                                                                                                                                    |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `description`               | Purview description for the matching Data Map asset. Euno fills this only when the Power BI resource does not already have a description, or when the existing description was previously filled from Purview. |
| `purview_tags`              | Microsoft Purview tags applied to the matching Power BI asset in Purview Data Map.                                                                                                                             |
| `purview_classifications`   | Microsoft Purview classifications applied to the matching Power BI asset in Purview Data Map.                                                                                                                  |
| `purview_data_policy_names` | Names of Microsoft Purview DLP data policies that apply to the matching Power BI resource.                                                                                                                     |

Supported Power BI resource types for this metadata are `powerbi_report`, `powerbi_dashboard`, `powerbi_semantic_model`, `powerbi_app`, `powerbi_dataflow`, and `powerbi_column`, when Purview Data Map exposes a matching asset.

## Relationships

| Source type(s)                                                                                     | Relationship  | Target type(s)                                                                                     | Notes                                                                                                           |
| -------------------------------------------------------------------------------------------------- | ------------- | -------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| `powerbi_report`, `powerbi_dashboard`, `powerbi_semantic_model`, `powerbi_app`, `powerbi_dataflow` | has regulator | `purview_dlp_policy`                                                                               | The Power BI resource is regulated by the Purview DLP policy. The Power BI resource must already exist in Euno. |
| `purview_dlp_policy`                                                                               | has regulated | `powerbi_report`, `powerbi_dashboard`, `powerbi_semantic_model`, `powerbi_app`, `powerbi_dataflow` | Reverse relationship: Power BI resources regulated by this policy.                                              |

## Usage in EQL

You can filter and search by Microsoft Purview resources and relationships in Euno's search and EQL.

**Examples**:

```
# All Purview DLP policies
type = "purview_dlp_policy"

# Power BI reports regulated by any Purview DLP policy
type = "powerbi_report" and has regulator(type = "purview_dlp_policy")

# Power BI resources regulated by a specific Purview DLP policy
has regulator(uri = "<purview-policy-uri>")

# Purview DLP policies that regulate Power BI semantic models
type = "purview_dlp_policy" and has regulated(type = "powerbi_semantic_model")

# Power BI resources with a Purview tag
purview_tags IN ("finance")

# Power BI resources with a Purview classification
purview_classifications IN ("MICROSOFT.PERSONAL.EMAIL")

# Power BI resources with a Purview data policy name
purview_data_policy_names IN ("Sensitive Power BI data policy")
```

## Current Scope

The Microsoft Purview integration currently supports:

* DLP policy discovery from Microsoft Graph `policyFiles`.
* Policy relationships to supported Power BI resources that already exist in Euno.
* Data Map metadata enrichment for matching Power BI resources when Purview Data Map is configured.

It does not create separate sensitivity label resources, and it does not create Power BI resources that have not already been observed by the Power BI integration. It does not expose Microsoft Purview retention policies for Power BI resources.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.euno.ai/sources/data-security/microsoft-purview-integration/microsoft-purview-integration-discovered-resources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
